require("./HTTPServer.js");
require("./WebSocket.js");

require("./Services/YourID.js");
require("./Services/Auth.js");
require("./Services/Room.js");
require("./Services/DataTransfer.js");
require("./Services/IPPressure.js");
require("./Services/Session.js");

process.on('unhandledRejection',(reason, promise)=>{
    console.log("Process unhandledRejection",{reason, promise})
});
process.on('rejectionHandled',(promise)=>{
    console.log("Process rejectionHandled",{promise})
});
process.on('multipleResolves',(type, promise, value)=>{
    console.log("Process multipleResolves",{type, promise, value})
});
process.on('warning',(err)=>{
    console.log("Process warning", err)
});